umbrello 2.39.2 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Topics
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Properties
- Related Symbols

- _
- a
- b
- c
- d
- e
- f
- g
- h
- i
- j
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x
- y
- z
- ~

Here is a list of all functions with links to the classes they belong to:

### - f -

- f() : Base2, Derived2
- failed() : CodeImpThread
- feedTheModel() : CppImport, PHPImport
- fieldIsSingleValue() : CodeClassField
- fileExtChanged() : CodeImpSelectPage
- fileExtension() : CSharpImport, CsValaImportBase, ValaImport
- fileLoaded() : UMLScene
- fillColor() : UMLScene, WidgetBase
- fillListBox() : ClassAssociationsPage, PackageContentsPage
- fillObjectListForWidgets() : UMLClipboard
- fillSelectionLists() : UMLClipboard
- fillSource() : AdaImport, CSharpImport, CsValaImportBase, IDLImport, JavaImport, NativeImportBase, PascalImport, PythonImport, SQLImport
- filter() : FindDialog
- finalizeRun() : AdaWriter, CodeGenerator
- finalMethod() : apackage.Base
- findAssociation() : UMLDoc
- findAssocWidget() : UMLScene
- findAttribute() : PetalNode
- findAttributeGroups() : XMLSchemaWriter
- findAttributes() : XMLSchemaWriter
- findChildObject() : UMLCanvasObject, UMLListViewItem
- findChildObjectById() : UMLCanvasObject, UMLClassifier
- findChildObjsInAssociations() : XMLSchemaWriter
- findCodeClassFieldFromParentID() : ClassifierCodeDocument
- findCodeClassFieldTextBlockByTag() : ClassifierCodeDocument, CodeDocument, CodeGenObjectWithTextBlocks, HierarchicalCodeBlock
- findCodeDocumentByClassifier() : CodeGenerator
- findCodeDocumentByID() : CodeGenerator
- findDatatype() : UMLDoc
- FindDialog() : FindDialog
- findFileName() : CodeGenerator, CppWriterTest, PythonWriterTest, SimpleCodeGenerator
- findFolderForDiagram() : UMLListView
- findHeaderCodeDocumentByClassifier() : CPPCodeGenerator
- findIDChange() : IDChangeLog
- findIncludeFromType() : PythonWriter
- findIntercept() : AssociationWidget
- findItem() : DotGenerator, UMLListView, UMLListViewItem
- findListViewItem() : RefactoringAssistant
- findMaxBoundingRectangle() : UMLScene
- findMenu() : UMLApp
- findMethodByType() : CodeClassField
- FindNamedClassConsumer() : FindNamedClassConsumer
- FindNamedClassVisitor() : FindNamedClassVisitor
- findNewID() : IDChangeLog
- findObject() : CsValaImportBase, JavaImport, UMLPackage
- findObjectById() : UMLDoc, UMLPackage
- findObjectsRelated() : CodeGenerator
- findOldID() : IDChangeLog
- findOperation() : UMLClassifier
- findOperations() : UMLClassifier
- findOrCreateStereotype() : UMLDoc
- findParentObjectForTaggedTextBlock() : CodeGenObjectWithTextBlocks
- findParm() : UMLOperation
- findPlugin() : Umbrello::PluginLoader
- findPointRegion() : AssociationWidget
- FindResults() : FindResults
- findStereotype() : UMLDoc
- findStereotypeById() : UMLDoc
- findSubClassConcepts() : UMLClassifier
- findSuperClassConcepts() : UMLClassifier
- findTag() : CodeOperation
- findTemplate() : UMLClassifier
- findTextBlockAt() : CodeEditor
- findTextBlockByTag() : CodeDocument, CodeGenObjectWithTextBlocks
- findUMLClassifier() : UMLDoc
- findUMLObject() : RefactoringAssistant, UMLDoc, UMLListView, UMLListViewItem
- findUMLObject_r() : UMLListViewItem
- findUMLObjectInFolder() : UMLListView
- findUMLObjectRaw() : UMLDoc
- findUMLObjectRecursive() : UMLDoc
- findView() : UMLDoc, UMLFolder, UMLListView
- findWelcomeFile() : UMLAppPrivate
- findWidget() : UMLScene
- finished() : CodeImpThread, DocbookGenerator, ToolBarState, XhtmlGenerator
- finishInitialization() : CodeClassField
- firstEditableLine() : CPPCodeDocumentation, DCodeDocumentation, JavaCodeDocumentation, RubyCodeDocumentation, TextBlock
- fixedAspectRatio() : UMLWidget
- fixID() : DotGenerator
- fixInitialStringDeclValue() : CodeClassField, CppWriter, DWriter, JavaWriter, XMLSchemaWriter
- fixPortPositions() : UMLScenePrivate
- fixTypeName() : CPPCodeGenerator, CppWriter, DCodeGenerator, DWriter, JavaCodeGenerator, JavaWriter, PythonWriter, TclWriter, XMLSchemaWriter
- fixX() : UMLScene
- fixY() : UMLScene
- FloatingDashLineWidget() : FloatingDashLineWidget
- floatingLineAt() : ToolBarState
- FloatingTextWidget() : FloatingTextWidget
- floatingTextWidget() : MessageWidget, PinPortBase
- flushTemplateParams() : CppTree2Uml
- focusOutEvent() : UMLListView
- folder() : UMLScene
- folderFile() : UMLFolder
- font() : AssociationWidget, UMLScene, WidgetBase
- forceDoc() : CodeGenerator, DClassifierCodeDocument, JavaClassifierCodeDocument, RubyClassifierCodeDocument
- forceRelease() : CodeAccessorMethod, CodeClassFieldDeclarationBlock
- forceSections() : CodeGenerator
- forceUpdateFontMetrics() : UMLWidget
- forceUpdateWidgetFontMetrics() : UMLScene
- ForkJoinWidget() : ForkJoinWidget
- formatDoc() : CodeGenerator
- formatFullDocBlock() : CodeGenerator
- formatMultiLineText() : TextBlock
- formatSourceCode() : CodeGenerator
- fromInt() : Uml::Corner
- fromString() : AssociationLine, Uml::Corner
- fullPath() : UMLArtifact
- fullyQualifiedName() : UMLObject
- func_name() : SomeStruct